
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>MySQL语句优化的原则 / iVAN</title>

    <meta name="description" content="MySQL语句优化的原则 1.使用索引来更快地遍历表. 缺省情况下建立的索引是非群集索引,但有时它并不是最佳的.在非群集索引下,数据在物理上随机存放在数据页上.合理的索引设计要建立在对各种查询的分析和预测上.一般来说: a.有大量重复值.且经常有范围查询( &gt; ,&lt; ,&gt; =,&lt; =)和order by.group by发生的列,可考虑建立群集索引: b.经常同时存取多列,且每列都含有重复值可考虑建立组合索引: c.组合索引要尽量使关键查询形成索引覆盖,其前导列一定是使用最频繁的列.索引虽有助于提 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">MySQL语句优化的原则</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>1、使用索引来更快地遍历表。</p>
<p>　　缺省情况下建立的索引是非群集索引，但有时它并不是最佳的。在非群集索引下，数据在物理上随机存放在数据页上。合理的索引设计要建立在对各种查询的分析和预测上。一般来说： <br /> 　　a.有大量重复值、且经常有范围查询（ &gt; ,&lt; ，&gt; =,&lt; =）和order by、group by发生的列，可考虑建立群集索引； <br /> 　　b.经常同时存取多列，且每列都含有重复值可考虑建立组合索引； <br /> 　　c.组合索引要尽量使关键查询形成索引覆盖，其前导列一定是使用最频繁的列。索引虽有助于提高性能但不是索引越多越好，恰好相反过多的索引会导致系统低效。用户在表中每加进一个索引，维护索引集合就要做相应的更新工作。</p>
<p>　　2、在海量查询时尽量少用格式转换。 <br /> 　　3、ORDER BY和GROPU BY使用ORDER BY和GROUP BY短语，任何一种索引都有助于SELECT的性能提高。</p>
<p>　　4、任何对列的操作都将导致表扫描，它包括数据库函数、计算表达式等等，查询时要尽可能将操作移至等号右边。</p>
<p>　　5、IN、OR子句常会使用工作表，使索引失效。如果不产生大量重复值，可以考虑把子句拆开。拆开的子句中应该包含索引。 <br /> 　　6、只要能满足你的需求，应尽可能使用更小的数据类型：例如使用MEDIUMINT代替INT</p>
<p>　　7、尽量把所有的列设置为NOT NULL，如果你要保存NULL，手动去设置它，而不是把它设为默认值。 <br /> 　　8、尽量少用VARCHAR、TEXT、BLOB类型 <br /> 　　9、如果你的数据只有你所知的少量的几个。最好使用ENUM类型 <br /> 　　10、正如graymice所讲的那样，建立索引。</p>
<p>　　以下是我做的一个实验，可以发现索引能极大地提高查询的效率： <br /> 我有一个会员信息表users，里边有37365条用户记录： <br /> 在不加索引的时候进行查询： <br /> sql语句A:</p>
<p>复制内容到剪贴板 代码: select * from users where username like '%许%';<br />
<br />在Mysql-Front中的8次查询时长为：1.40,0.54,0.54,0.54,0.53,0.55,0.54 共找到960条记录 <br /> sql语句B:</p>
<p>复制内容到剪贴板 代码: select * from users where username like '许%';<br />
<br />在Mysql-Front中的8次查询时长为：0.53,0.53,0.53,0.54,0.53,0.53,0.54,0.54 共找到836条记录 <br /> sql语句C:</p>
<p>复制内容到剪贴板 代码: select * from users where username like '%许';<br />
<br />在Mysql-Front中的8次查询时长为：0.51,0.51,0.52,0.52,0.51,0.51,0.52,0.51 共找到7条记录 <br /> 为username列添加索引:</p>
<p>复制内容到剪贴板 代码: create index usernameindex on users(username(6));<br />
<br />再次查询： <br /> sql语句A:</p>
<p>复制内容到剪贴板 代码: select * from users where username like '%许%';<br />
<br />在Mysql-Front中的8次查询时长为：0.35,0.34,0.34,0.35,0.34,0.34,0.35,0.34 共找到960条记录 <br /> sql语句B:</p>
<p>复制内容到剪贴板 代码: select * from users where username like '许%';<br />
<br />在Mysql-Front中的8次查询时长为：0.06,0.07,0.07,0.07,0.07,0.07,0.06,0.06 共找到836条记录 <br /> sql语句C:</p>
<p>复制内容到剪贴板 代码: select * from users where username like '%许';<br />
<br />在Mysql-Front中的8次查询时长为：0.32,0.31,0.31,0.32,0.31,0.32,0.31,0.31 共找到7条记录</p>
<p>　　在实验过程中，我没有另开任何程序，以上的数据说明在单表查询中，建立索引的可以极大地提高查询速度。</p>
<p>　　另外要说的是如果建立了索引，对于like '许%'类型的查询，速度提升是最明显的。因此，我们在写sql语句的时候也尽量采用这种方式查询。</p>
<p>　　对于多表查询我们的优化原则是： <br /> 　　尽量将索引建立在：left join on/right join on ...　＋条件，的条件语句中所涉及的字段上。</p>
<p>　　多表查询比单表查询更能体现索引的优势。</p>
<p>　　11、索引的建立原则： <br /> 　　如果一列的中数据的前缀重复值很少，我们最好就只索引这个前缀。Mysql支持这种索引。我在上面用到的索引方法就是对username最左边的6个字符进行索引。索引越短，占用的 磁盘空间越少，在检索过程中花的时间也越少。这方法可以对最多左255个字符进行索引。</p>
<p>　　在很多场合，我们可以给建立多列数据建立索引。 <br /> 　　索引应该建立在查询条件中进行比较的字段上，而不是建立在我们要找出来并且显示的字段上 <br /> 　　12、一往情深问到的问题:IN、OR子句常会使用工作表，使索引失效。如果不产生大量重复值，可以考虑把子句拆开。拆开的子句中应该包含索引。</p>
<p>这句话怎么理解决，请举个例子 <br /> 例子如下: <br /> 如果在fields1和fields2上同时建立了索引，fields1为主索引 <br /> 以下sql会用到索引</p>
<p>复制内容到剪贴板 代码: select * from tablename1 where fields1='value1' and fields2='value2'<br />
<br />以下sql不会用到索引</p>
<p>复制内容到剪贴板 代码: select * from tablename1 where fields1='value1' or fields2='value2'<br />
<br />　　13.索引带来查询上的速度的大大提升,但索引也占用了额外的硬盘空间(当然现在一般硬盘空间不成问题),而且往表中插入新记录时索引也要随着更新这也需要一定时间. <br /> 　　有些表如果经常insert,而较少select,就不用加索引了.不然每次写入数据都要重新改写索引,花费时间; 这个视实际情况而定,通常情况下索引是必需的.</p>
<p>　　14.我在对查询效率有怀疑的时候,一般是直接用Mysql的Explain来跟踪查询情况. <br /> 　　你用Mysql-Front是通过时长来比较,我觉得如果从查询时扫描字段的次数来比较更精确一些.</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-21 14:24:50</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%bd%91%e7%bb%9c%e7%bc%96%e7%a8%8b/" title="网络编程">网络编程</a>, <a href="https://www.iamivan.net/tag/mysql%e6%95%99%e7%a8%8b/" title="MySQL教程">MySQL教程</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>MySQL语句优化的原则的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4656NM.html" rel="bookmark">MySQL 数据库语句优化的原则</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.使用索引来更快地遍历表. 缺省情况下建立的索引是非群集索引,但有时它并不是最佳的.在非群集索引下,数据在物理上随机存放在数据页上.合理的索引设计要建立在对各种查询的分析和预测上.一般来说: a.有大量重复值.且经常有范围查询( &gt; ,&lt; ,&gt; =,&lt; =)和order by.group by发生的列,可考虑建立群集索引; b.经常同时存取多列,且每列都含有重复值可考虑建立组合索引; c.组合索引要尽量使关键查询形成索引覆盖,其前导列一定是使用最频繁的列.索引虽有助于提高性能但不			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqALNkM.html" rel="bookmark">加速MySQL SQL语句优化的一些命令方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				引言 优化SQL,是DBA常见的工作之一.如何高效.快速地优化一条语句,是每个DBA经常要面对的一个问题.在日常的优化工作中,我发现有很多操作是在优化过程中必不可少的步骤.然而这些步骤重复性的执行,又会耗费DBA很多精力.于是萌发了自己编写小工具,提高优化效率的想法. 那选择何种语言来开发工具呢? 对于一名DBA来说,掌握一门语言配合自己的工作是非常必要的.相对于shell的简单.perl的飘逸,Python是一种严谨的高级语言.其具备上手快.语法简单.扩展丰富.跨平台等多种优点.很多人把它称为			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn7Pkoz.html" rel="bookmark">如何用一款小工具大大加速MySQL SQL语句优化&lpar;附源码&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作者介绍 韩锋,宜信技术研发中心数据库架构师.精通多种关系型数据库,曾任职于当当网.TOM在线等公司,曾任多家公司首席DBA.数据库架构师等职,多年一线数据库架构.设计.开发经验.著有&lt;SQL优化最佳实践&gt;一书.   引言   优化SQL,是DBA常见的工作之一.如何高效.快速地优化一条语句,是每个DBA经常要面对的一个问题.在日常的优化工作中,我发现有很多操作是在优化过程中必不可少的步骤.然而这些步骤重复性的执行,又会耗费DBA很多精力.于是萌发了自己编写小工具,提高优化效率的想法.   那			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ1YWOb.html" rel="bookmark">Mysql查询语句优化技巧&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				索引优化,查询优化,查询缓存,服务器设置优化,操作系统和硬件优化,应用层面优化(web服务器,缓存)等等.这里的记录的优化技巧更适用于开发人员,都是从网络上收集和自己整理的,主要是查询语句上面的优化,其它层面的优化技巧在此不做记录. 查询的开销指标: 执行时间 检查的行数 返回的行数 建立索引的几个准则: (1).合理的建立索引能够加速数据读取效率,不合理的建立索引反而会拖慢数据库的响应速度. (2).索引越多,更新数据的速度越慢. (3).尽量在采用MyIsam作为引擎的时候使用索引(因为My			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze73B8M.html" rel="bookmark">mysql-MYSQL语句优化，在线等</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 MYSQL语句优化,在线等 SELECT tt.int_interpreting_data_id,tt.dt_report_date,tn.str_norm_number,tnt.str_norm_type_name,tt.int_whether,tt.str_value,tt.str_detection_result,tt.str_remark,tn.str_name,tn.int_response_type,tt.str_device_name,tt.str_ip,tt.db_na			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdyGm6z.html" rel="bookmark">sql优化-mysql数据库sql语句优化，求大神！！！！</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 mysql数据库sql语句优化,求大神!!!! SELECT DISTINCT uid, level,username,ansnum FROM test WHERE level=100 GROUP BY uid ORDER BY ansnum DESC LIMIT 12; uid.ansnum均已建索引,主要是GROUP BY uid导致特别慢,如何提速??? 解决方案 MySQL数据库SQL语句优化原则 解决方案二: 根据你的查询需求,没有特别好的优化办法.注意group by 和o			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0NBO7z.html" rel="bookmark">mysql数据库优化需要遵守的原则&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这是我在网上看到的一篇不错的mysql数据库优化文章,内容说的很全! 1.使用索引来更快地遍历表 缺省情况下建立的索引是非群集索引,但有时它并不是最佳的.在非群集索引下,数据在物理上随机存放在数据页上.合理的索引设计要建立在对各种查询的分析和预测上.一般来说: a.有大量重复值.且经常有范围查询( &gt; ,&lt; ,&gt; =,&lt; =)和order by.group by发生的列,可考虑建立群集索引; b.经常同时存取多列,且每列都含有重复值可考虑建立组合索引; c.组合索引要尽量使关键查询			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr2lOvM.html" rel="bookmark">sql语句优化原则与百万数据优化方案</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.使用索引来更快地遍历表. 缺省情况下建立的索引是非群集索引,但有时它并不是最佳的.在非群集索引 下,数据在物理上随机存放在数据页上.合理的索引设计要建立在 对各种查询的分析和预测上.一般来说: a.有大量重复值.且经常有范围查询( &gt; ,&lt; ,&gt; =,&lt; =)和order by.group by发生的列,可考 虑建立群集索引: b.经常同时存取多列,且每列都含有重复值可考虑建立组合索引: c.组合索引要尽量使关键查询形成索引覆盖,其前导列一定是使用最频繁的列.索引虽有助于提高性			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQ9gwb.html" rel="bookmark">通过索引优化含ORDER BY的MySQL语句</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				通过索引优化含ORDER BY的MySQL语句 关于建立索引的几个准则: 1.合理的建立索引能够加速数据读取效率,不合理的建立索引反而会拖慢数据库的响应速度. 2.索引越多,更新数据的速度越慢. 3.尽量在采用MyIsam作为引擎的时候使用索引(因为MySQL以BTree存储索引),而不是InnoDB.但MyISAM不支持Transcation. 4.当你的程序和数据库结构/SQL语句已经优化到无法优化的程度,而程序瓶颈并不能顺利解决,那就是应该考虑使用诸如memcached这样的分布式缓存系统			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKq94p.html" rel="bookmark" class="title">Linux下搭建Linux日志服务器图解</a>
					<div>
						为什么架设LINUX日志服务器: 众所周知,Linux是一个日志系统完善的操作系统.系统管理员在运行维护服务器的时候,少不了查看日志文件,当服务器出现错误,排错的时候更是少不了查看系统日志.当管理员管 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKE53M.html" rel="bookmark" class="title">一步一步SharePoint 2007之十五：实现Form认证&lpar;5&rpar;</a>
					<div>
						更改认证的Provider 摘要 本篇文章将记录实现Form认证的第五部分--更改认证的Provider. 前面各项准备工作都做完了,现在我们就来进行实现Form认证的最后一步设置吧! 正文 下面将记 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RNWjp.html" rel="bookmark" class="title">如何把Word及Excel文件导入Coreldraw</a>
					<div>
						如果是将简单的word,excel文件置入到Coreldraw,直接复制粘贴即可.如果word,excel文件中包含格式和图表,安装Windows自带的虚拟打印机即可解决.步骤如下: 1.先打开:控制 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNXn0b.html" rel="bookmark" class="title">ASP&period;NET 2&period;0&lpar;C&num;&rpar;&lpar;8&rpar;</a>
					<div>
						介绍 在 ASP.NET 2.0 中有几个新的数据源控件,例如,SqlDataSource.ObjectDataSource.XmlDataSource.AccessDataSource 和 Site ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jRXVb.html" rel="bookmark" class="title">Direct3D9初级教程</a>
					<div>
						前言: 这篇教程是为初学者准备的,只要会简单的VC++编程以及一点立体几何的基础知识即可.通过它,可以了解到Direct3D的基本概念,学会绘制简单的几何图形,并掌握光源.材质和纹理的基本用法. 3D ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badNeNz.html" rel="bookmark" class="title">显卡中如何定义DVI</a>
					<div>
						  DVI的英文全名为Digital Visual Interface,中文称为&quot;数位视讯接口&quot;.是一种视讯接口标准,设计的目标是透过数位化的传送来强化个人电脑显示器的画面品质.目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72E5dp.html" rel="bookmark" class="title">有道云笔记如何查看公告平台？</a>
					<div>
						  目前,所有的公共平台都可以在此网址进行查阅:http://note.youdao.com/publicaccount.html. 此外,有道云笔记主要的公共平台是逻辑思维和云笔记图书馆,具体网址如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvG149p.html" rel="bookmark" class="title">java局部变量问题求解答</a>
					<div>
						问题描述 java局部变量问题求解答 关于java的局部变量问题,在方法中定义了一个局部变量,未赋值,然后在for语句里给其赋值,然后打印却报错,而如果在定义的时候就给它赋值,最后打印的则是在for语 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oe9mb.html" rel="bookmark" class="title">jQuery中ajax - post&lpar;&rpar; 方法实例详解&lowbar;AJAX相关</a>
					<div>
						在jquery中的ajax有二个数据发送模式,一种是get,另一种是post(). jQuery Ajax 参考手册 实例 请求 test.php 网页,忽略返回值: $.post(&quot;tes ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badXqPz.html" rel="bookmark" class="title">Android ListView滚动到指定的位置&lowbar;Android</a>
					<div>
						本文介绍的关于ListView移动到指定位置有两种方法,下面话不多说,直接来看示例代码: listview.setSelection(position); listview.smoothScrollT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQLDqp.html" rel="bookmark" class="title">异常抛出-哪些情况会导致程序不抛出异常而直接结束&quest;</a>
					<div>
						问题描述 哪些情况会导致程序不抛出异常而直接结束? 程序在入口已经加入 SetUnhandledExceptionFilter 设置了异常处理,平时程序崩溃都能正常跳到异常处理发送错误报告, 但是最近 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkw55wp.html" rel="bookmark" class="title">软件-怎么将生成的二维码调用数据库信息</a>
					<div>
						问题描述 怎么将生成的二维码调用数据库信息 怎么生成二维码调用数据库信息.就是自己生成二维码然后调用数据库里的信息资料,就是二维码生成链接,直接链接数据库的东西,用的时候扫描下二维码就能看数据库里的信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmR0Lz.html" rel="bookmark" class="title">log4j每天生成日志文件</a>
					<div>
						问题描述 log4j每天生成日志文件 我在本机配置的log4j,是可以第天生成日志文件的,但我把项目部署到win server 2008以后,就不会每天生成了,而是每天追加到第一次启动时生成的日志文件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7PEXz.html" rel="bookmark" class="title">【B&sol;S学习总结】我的第100篇CSDN博客</a>
					<div>
						    在学习B/S之前,写过一篇博客&lt;走过C/S,走进B/S&gt;.从那时开始,就认识到了B/S的与众不同.现在,B/S项目结束了,学习了很长时间,是应该整理整理B/S项目下的知识了.例如: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNj7oxM.html" rel="bookmark" class="title">EaseUIDemo的服务端代码开源吗？</a>
					<div>
						问题描述 可以让我们参考一下吗 ?我觉得那个EaseUIdemo做的还是挺好的,基本上关于IM的都包含了,我希望可以参考一个服务端代码,看看是怎么实现的.php的有吗 ? 解决方案 https://g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Z8A6z.html" rel="bookmark" class="title">数据库-sql  这几道题怎么做，帮忙看看吧</a>
					<div>
						问题描述 sql 这几道题怎么做,帮忙看看吧 四.写出完成下列查询任务的sql语句(基于图书管理数据库)1.在book表中查询有哪些图书分类,并按&quot;类别:XXXXX&quot;格式列出图书分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqj5wp.html" rel="bookmark" class="title">Hacking Team 被黑，这些事儿你可能还不知道</a>
					<div>
						近日,被称为&quot;全球最臭名昭著的意大利黑客公司&quot;Hacking Team 曝出被黑,有400G种子文件流出.针对此次事件,雷锋网作者从安全专业角度出发,为我们解构Hacking Te ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXdGxb.html" rel="bookmark" class="title">JAXP解析XML碰到的小问题</a>
					<div>
						问题描述 用JAXP解析XML时factory.setValidating(true);这行代码敲上报警告,不敲没问题,为什么,这是打开什么验证?packagecn.itcast.day003;imp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60A5Nz.html" rel="bookmark" class="title">Docker再发现：实现DevOps的双刃剑！</a>
					<div>
						前言    先做个自我介绍,本人毕业于香港科技大学,然后回国先后在IBM与微软工作,后加入了云络公司做架构师和解决方案顾问工作.   云络公司是一家致力于系统自动化运维的公司,我们拥有DevOps的项 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAxQ7b.html" rel="bookmark" class="title">python 服务端-求python服务端开发教程</a>
					<div>
						问题描述 求python服务端开发教程 如题,本人只开发过Android本地应用这些,但是现在需要搞一个具有客户端和服务端的东西,想学一学python来做服务端开发,本人对服务端开发可以说是一窍不通. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0A9RM.html" rel="bookmark" class="title">android ListView隐藏FooterView&lpar;headerView&rpar;</a>
					<div>
						在安卓开发中,在使用listView时,我们会经常用到footerView或者headerView 给ListView添加的footer和header好多时候,会根据情况隐藏和显示. 因为footer ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPk7X0M.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;双创&rdquo;正当时 钉钉如何赋能中小企业？</a>
					<div>
						2014年9月,国务院总理李克强在夏季达沃斯论坛上提出了&quot;大众创业.万众创新&quot;的号召,&quot;双创&quot;一词也被历史性地写入2015年政府工作报告.如今,全国范围内的&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkDmAM.html" rel="bookmark" class="title">在澳洲，各种华文报纸上依然刊登着华人旅行社中国特价旅游广告</a>
					<div>
						价值4.8万元人民币的治疗青春痘的药近日,现居澳大利亚佩斯的华人李先生(化名)向中国经济网记者反映,他在参加旅行社组织的北京承德天津8日特价游时,被带至位于北京西城区景山后街景山公园北门内的&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z440Z1z.html" rel="bookmark" class="title">关于JS中match&lpar;&rpar; 和 exec&lpar;&rpar; 返回值和属性的测试&lowbar;javascript技巧</a>
					<div>
						语法: exec() : RegExpObject.exec(string) match() : stringObject.match(string) stringObject.match(regex ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba60w2M.html" rel="bookmark" class="title">基于存储过程的详细介绍&lowbar;MsSql</a>
					<div>
						存储过程简介 --------------------------------------------------------------------------------什么是存储过程:存储过程可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1loBb.html" rel="bookmark" class="title">javascript验证只能输入数字和一个小数点示例&lowbar;javascript技巧</a>
					<div>
						复制代码 代码如下: function gaga(obj){ // 值允许输入一个小数点和数字 obj.value = obj.value.replace(/[^\d.]/g,&quot;&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0gyxp.html" rel="bookmark" class="title">flash常见问题四</a>
					<div>
						113.问:FLASH如何与后台连接?[源码]  答:使用LoadVars()对象的sendAndLoad()方法来发送和接收数据    114.问:如何实现声音的暂停/播放效果?  答:在执行sto ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOJO4b.html" rel="bookmark" class="title">C&num; 对Excel进行写操作，但只能在每列的第一行进行更新填写，到底是哪里出错了？</a>
					<div>
						问题描述 C# 对Excel进行写操作,但只能在每列的第一行进行更新填写,到底是哪里出错了? try { this.conOleDB.Open(); command = new OleDbComman ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvZRxM.html" rel="bookmark" class="title">《CCNP ROUTE 300-101认证考试指南》&mdash;&mdash;8&period;7节完成记忆测试表</a>
					<div>
						8.7 完成记忆测试表CCNP ROUTE 300-101认证考试指南打印配套CD中完整的附录D或与本章相关的部分.然后凭借记忆完成表格和列表中缺失的内容.最后使用配套CD中的附录E来验证你的作答.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJemJDp.html" rel="bookmark" class="title">硅谷杂志：基于DLINQ的库存管理系统的设计与实现</a>
					<div>
						硅谷网12月8日文 据&lt;硅谷&gt;2012年第18期刊文,DLINQ库存管理系统是企业管理的主要部分,当前我国很多企业库存管理体系还不够完善,工作效率不高,库存积压严重,库存的成本大大提高,最 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
